diff -ruN grub2.orig/Makefile grub2/Makefile
--- grub2.orig/Makefile	2010-10-12 08:48:46.000000000 -0700
+++ grub2/Makefile	2010-10-13 06:34:59.000000000 -0700
@@ -35,6 +35,7 @@
 .endif
 
 PLIST_SUB+=	MKFONT=${MKFONT}
+MAKE_ENV+=	GRUB_CONTRIB="${WRKSRC}/grub-extras/"
 
 .if ${OSVERSION} < 700000
 BROKEN=		does not compile on 6.X
diff -ruN grub2.orig/pkg-plist grub2/pkg-plist
--- grub2.orig/pkg-plist	2010-06-11 04:06:20.000000000 -0700
+++ grub2/pkg-plist	2010-10-13 07:00:42.000000000 -0700
@@ -179,6 +179,8 @@
 lib/grub/i386-pc/gcry_arcfour.mod
 lib/grub/i386-pc/functional_test.mod
 lib/grub/i386-pc/example_functional_test.mod
+lib/grub/i386-pc/zfs.mod
+lib/grub/i386-pc/zfsinfo.mod
 lib/grub/i386-pc/moddep.lst
 lib/grub/i386-pc/command.lst
 lib/grub/i386-pc/fs.lst
